Skip to content

upsertSalesRFQ

WRITE

Upsert sales r f q.

POST /api/v1/sales/upsertSalesRFQ
curl -X POST '<your-host>/api/v1/sales/upsertSalesRFQ' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string",
    "rfqDate": "string",
    "rfqId": "string",
    "_operation": "create"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "rfqId": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1
"Draft""Ready for Quote""Quoted""Closed"

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerLocationId": {
      "type": "string"
    },
    "customerContactId": {
      "type": "string"
    },
    "customerEngineeringContactId": {
      "type": "string"
    },
    "customerId": {
      "type": "string",
      "minLength": 1
    },
    "customerReference": {
      "type": "string"
    },
    "expirationDate": {
      "type": "string"
    },
    "externalNotes": {
      "type": "string"
    },
    "internalNotes": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "rfqDate": {
      "type": "string",
      "minLength": 1
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Ready for Quote",
        "Quoted",
        "Closed"
      ]
    },
    "salesPersonId": {
      "type": "string"
    },
    "rfqId": {
      "type": "string"
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "customerId",
    "rfqDate",
    "rfqId",
    "_operation"
  ]
}